apiVersion: v1
kind: ConfigMap
metadata:
  name: credential-service-configmap
  namespace: {{ include "credential-service.namespace" . }}
  labels:
    {{- include "credential-service.labels" . | nindent 4 }}
data:
  application.properties: |
    eurodat.openapi.fqdn=https://{{ .Values.fqdn }}
    eurodat.openapi.version=EuroDaT:{{ .Chart.Version }}
    quarkus.smallrye-openapi.servers=https://{{ .Values.fqdn }}
    eurodat.keycloak.realm={{ include "eurodat.iam.realm" . }}
    eurodat.keycloak.server-url={{ include "eurodat.iam.base.url.internal" . }}
